net.minecraftforge.event.world

## Class NoteBlockEvent.Change

- java.lang.Object
- - cpw.mods.fml.common.eventhandler.Event
  - - net.minecraftforge.event.world.BlockEvent
    - - net.minecraftforge.event.world.NoteBlockEvent
      - - net.minecraftforge.event.world.NoteBlockEvent.Change

- Enclosing class:
    NoteBlockEvent

      public static class NoteBlockEvent.Change
      extends NoteBlockEvent

  Fired when a Noteblock is changed. You can adjust the note it will change to via `NoteBlockEvent.setNote(Note, Octave)`. Canceling this event will not change the note and also stop the Noteblock from playing it's note.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.minecraftforge.event.world.NoteBlockEvent

      `NoteBlockEvent.Change, NoteBlockEvent.Instrument, NoteBlockEvent.Note, NoteBlockEvent.Octave, NoteBlockEvent.Play`

    - ### Nested classes/interfaces inherited from class net.minecraftforge.event.world.BlockEvent

      `BlockEvent.BreakEvent, BlockEvent.HarvestDropsEvent`

    - ### Nested classes/interfaces inherited from class cpw.mods.fml.common.eventhandler.Event

      `Event.HasResult, Event.Result`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `NoteBlockEvent.Note` | `oldNote`
    `NoteBlockEvent.Octave` | `oldOctave`

    - ### Fields inherited from class net.minecraftforge.event.world.BlockEvent

      `block, blockMetadata, world, x, y, z`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NoteBlockEvent.Change(World world, int x, int y, int z, int meta, int oldNote, int newNote)`

  - ### Method Summary

    - ### Methods inherited from class net.minecraftforge.event.world.NoteBlockEvent

      `getNote, getOctave, getVanillaNoteId, setNote`

    - ### Methods inherited from class cpw.mods.fml.common.eventhandler.Event

      `getListenerList, getResult, hasResult, isCancelable, isCanceled, setCanceled, setResult, setup`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### oldNote

          public final NoteBlockEvent.Note oldNote

    - #### oldOctave

          public final NoteBlockEvent.Octave oldOctave

  - ### Constructor Detail

    - #### NoteBlockEvent.Change

          public NoteBlockEvent.Change(World world,
                               int x,
                               int y,
                               int z,
                               int meta,
                               int oldNote,
                               int newNote)